# Policy.pidl File Reference

Pre-compiled IDL source for the CORBA::Policy related classes. More...

`import "UShortSeq.pidl";`
`import "Current.pidl";`
`import "Policy_Forward.pidl";`

Include dependency graph for Policy.pidl:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

exception | CORBA::PolicyError
exception | CORBA::InvalidPolicies
interface | CORBA::Policy
interface | CORBA::PolicyManager
interface | CORBA::PolicyCurrent

## Typedefs

typedef short | PolicyErrorCode

## Variables

const PolicyErrorCode | BAD_POLICY = 0
const PolicyErrorCode | UNSUPPORTED_POLICY = 1
const PolicyErrorCode | BAD_POLICY_TYPE = 2
const PolicyErrorCode | BAD_POLICY_VALUE = 3
const PolicyErrorCode | UNSUPPORTED_POLICY_VALUE = 4

## Detailed Description

Pre-compiled IDL source for the CORBA::Policy related classes.

Id
  Policy.pidl,v 1.22 2005/04/12 08:32:43 jwillemsen Exp

This file is used to generate the code in PolicyC.{h,inl,cpp}. Also, skeleton code for the only non local Policy interface is generated from this pidl file and then the declaration code is moved to tao/PortableServer/PolicyS.{h,inl,cpp}

The steps to regenerate the code are as follows:

1. Run the tao_idl compiler on the patched pidl file. The command used for this is:

tao_idl.exe -o orig -Gp -Gd -Ge 1 -GA -Ssi -Wb,stub_export_macro=TAO_Export -Wb,stub_export_include="tao/TAO_Export.h" -Wb,skel_export_macro=TAO_PortableServer_Export -Wb,skel_export_include=portableserver_export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" Policy.pidl

2. Then patch the generated code using patches in diff/Policy.diff. To patch the generated code in PortableServer look for diffs in PortableServer/diffs directory.

Note: The diffs were generated with these commands:

for i in PolicyC.{h,i,cpp}; do diff -wBbu orig/$i $i; done > diffs/Policy.diff for i in Policy{S,S_T}.{h,i,cpp}; do diff -wBbu orig/$i PortableServer/$i; done >> diffs/Policy.diff

## Typedef Documentation

typedef CORBA::Short CORBA::PolicyErrorCode

## Variable Documentation

const CORBA::PolicyErrorCode CORBA::BAD_POLICY = 0

const CORBA::PolicyErrorCode CORBA::BAD_POLICY_TYPE = 2

const CORBA::PolicyErrorCode CORBA::BAD_POLICY_VALUE = 3

const CORBA::PolicyErrorCode CORBA::UNSUPPORTED_POLICY = 1

const CORBA::PolicyErrorCode CORBA::UNSUPPORTED_POLICY_VALUE = 4